import { UserInfo } from "../webUXApi/userInfoApi";
declare type LocalSignInContextType = {
    isReauthRequired?: boolean;
    isUserSignedIn?: boolean;
    signIn: () => void;
    signOut: () => void;
    userInfo?: UserInfo;
    verifyAccount: () => void;
};
export declare const LocalSignInContext: import("preact").Context<LocalSignInContextType>;
export {};
